/*
add * Calculator RunCalc (alternate, simpler main)
 *
 * Developed for "Rethinking CS101", a project of Lynn Andrea Stein's AP Group.
 * For more information, see <a href="http://www.ai.mit.edu/projects/cs101/">the
 * CS101 homepage</a> or email <las@ai.mit.edu>.
 *
 * Copyright (C) 1999 Massachusetts Institute of Technology.
 * Please do not redistribute without obtaining permission.
 */
package calculator;

/**
 * This is a basic skeleton application which launches the necessary
 * code for a four-function calculator.
 * <P>Copyright (c) 1999 Massachusetts Institute of Technology
 *
 * @author  Lynn Andrea Stein, las@ai.mit.edu
 * @version: $Id: RunCalc.java,v 1.1.1.1 2002/06/05 21:56:34 root Exp $
 *
 * @see calculator.ButtonHandler
 *
 */
public class RunCalc 
{
    
  /**
   * Prevent instantiation.
   */
  private RunCalc() {}

  /**
   * No args, just start the thing.
   */
  public static void main (String[] argv) 
  {

    new ButtonHandler();
  }
}


/* Comments:
 *
 * History:
 *     $Log: RunCalc.java,v $
 *     Revision 1.1.1.1  2002/06/05 21:56:34  root
 *     CS101 comes to Olin finally.
 *
 *     Revision 1.1  1999/10/08 15:09:24  las
 *     This pset replaces the old Calculator pset.  However, not everything
 *     has been transferred.  At the moment, it's just java, doc, and index.
 *     The rest are still in the repository under Calculator-Old.
 *
 *
 */




