/*
 * $Id: DefaultStringHandler.java,v 1.1.1.1 2002/06/05 21:56:32 root Exp $
 *
 * Developed for "Rethinking CS101", a project of Lynn Andrea Stein's AP Group.
 * For more information, see <a href="http://www.ai.mit.edu/projects/cs101/">the
 * CS101 homepage</a> or email <las@ai.mit.edu>.
 *
 * Copyright (C) 1996 Massachusetts Institute of Technology.
 * Please do not redistribute without obtaining permission.
 */
package cs101.util;

/**
 * A default StringHandler.  Just prints things to System.out.
 * <p>
 * Copyright (c) 1998 Massachusetts Institute of Technology
 *
 * @see cs101.net.Client
 * @see cs101.util.StringHandler
 *
 * @author Lynn Andrea Stein, las@ai.mit.edu
 * @version $Id: DefaultStringHandler.java,v 1.1.1.1 2002/06/05 21:56:32 root Exp $
 */

public class DefaultStringHandler implements StringHandler {

  public DefaultStringHandler ()  {
    super();
  }

  /**
   * Just print the string to System.out.
   */
  public void handleString( String s ) {
    System.out.println("<stringhandler got \""+ s + "\" >");
    System.out.flush();
  }

}

/*
 * $Log: DefaultStringHandler.java,v $
 * Revision 1.1.1.1  2002/06/05 21:56:32  root
 * CS101 comes to Olin finally.
 *
 * Revision 1.3  1998/07/24 17:19:24  tparnell
 * Placate new javadoc behavior
 *
 * Revision 1.2  1998/07/23 14:54:48  tparnell
 * javadoc fix
 *
 * Revision 1.1  1998/03/13 22:18:12  tparnell
 * Import from server crash.  I think the src and class files match up.
 *
 */

