/*
 * Generic Queue
 * $Id: EmptyQueueException.java,v 1.1.1.1 2002/06/05 21:56:32 root Exp $
 *
 * Developed for "Rethinking CS101", a project of Lynn Andrea Stein's AP Group.
 * For more information, see <a href="http://www.ai.mit.edu/projects/cs101/">the
 * CS101 homepage</a> or email <las@ai.mit.edu>.
 *
 * Copyright (C) 1998 Massachusetts Institute of Technology.
 * Please do not redistribute without obtaining permission.
 */

package cs101.util.queue;

/** 
 * EmptyQueueExceptions are thrown when trying to extract data from
 * an empty Queue.
 * <p>
 * Copyright (c) 1998 Massachusetts Institute of Technology
 *
 * @see Queue  
 */
public class EmptyQueueException extends RuntimeException { 
  public EmptyQueueException() { super(); } 
  public EmptyQueueException(String msg) { super(msg); } 
}

/*
 * $Log: EmptyQueueException.java,v $
 * Revision 1.1.1.1  2002/06/05 21:56:32  root
 * CS101 comes to Olin finally.
 *
 * Revision 1.1  2000/04/24 22:17:18  nathanw
 * Bulk reorganization
 *
 * Revision 1.3  1998/07/24 17:19:25  tparnell
 * Placate new javadoc behavior
 *
 * Revision 1.2  1998/07/17 02:41:47  tparnell
 * Added some javadoc and logging
 *
 */




